Skip to main content

Update Lead: Entrata

PUThttps://api.propexo.com/v1/leads/entrata/:lead_id
Method
leads/updateLeads

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lead_id stringrequired

The Propexo unique identifier for the lead

Request​

This endpoint expects an object.

    unit_idstring

    The Propexo unique identifier for the unit

    lease_period_idstring

    The Propexo unique identifier for the lease period

    employee_idstring

    The Propexo unique identifier for the employee

    lead_source_idstring

    The Propexo unique identifier for the lead source. This can only be set if there is not a current lead source.

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    middle_namestring

    The middle name associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string

    The primary email address associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    target_move_in_datestring<date-time>

    The move-in date associated with the lead

    desired_num_bedroomsnumber

    The desired number of bedrooms

    desired_num_bathroomsnumber

    The desired number of bathrooms

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    desired_min_rent_in_centsinteger

    The minimum rent cost the lead is looking to pay, in cents

    number_of_occupantsnumber

    The number of occupants living in the unit

    notesstring

    Notes associated with the lead

    events object[]deprecated

    DEPRECATED: Please use /events endpoints to write events. Array of events associated with this lead

  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired

    The PMS id for the event type.

    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lead_idstringrequired

    The Propexo unique identifier for the lead

    unit_idstring

    The Propexo unique identifier for the unit

    lease_period_idstring

    The Propexo unique identifier for the lease period

    employee_idstring

    The Propexo unique identifier for the employee

    lead_source_idstring

    The Propexo unique identifier for the lead source. This can only be set if there is not a current lead source.

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    middle_namestring

    The middle name associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string

    The primary email address associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    target_move_in_datestring<date-time>

    The move-in date associated with the lead

    desired_num_bedroomsnumber

    The desired number of bedrooms

    desired_num_bathroomsnumber

    The desired number of bathrooms

    desired_max_rent_in_centsinteger

    The maximum rent cost the lead is looking to pay, in cents

    desired_min_rent_in_centsinteger

    The minimum rent cost the lead is looking to pay, in cents

    number_of_occupantsnumber

    The number of occupants living in the unit

    notesstring

    Notes associated with the lead

    events object[]
  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired
    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/entrata/:lead_id
curl -X PUT https://api.propexo.com/v1/leads/entrata/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"lease_period_id": "string",
"employee_id": "string",
"lead_source_id": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"number_of_occupants": 0,
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"unit_id": "string",
"lease_period_id": "string",
"employee_id": "string",
"lead_source_id": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"number_of_occupants": 0,
"notes": "string",
"events": [
{
"unit_id": "string",
"x_type_id": "string",
"x_leasing_agent_id": "string",
"x_sub_type_id": "string",
"x_result_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"appointment_datetime": "2024-07-29T15:51:28.071Z",
"time_from": "string",
"time_to": "string",
"notes": "string",
"title": "string",
"reasons_for_event": "string",
"id": "string"
}
]
}
}